aboutsummaryrefslogtreecommitdiffstats
path: root/extra/libart-lgpl
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-17 15:43:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-17 15:43:52 +0000
commit715d54b29cbed2cd44ec30a3552ac84d07eaa1e3 (patch)
treeabe3e85aea869d1daab0374fa6fc860eff8daddb /extra/libart-lgpl
parentf2cf05a313dab8759d62bec91d78bf8de5002191 (diff)
downloadaports-715d54b29cbed2cd44ec30a3552ac84d07eaa1e3.tar.bz2
aports-715d54b29cbed2cd44ec30a3552ac84d07eaa1e3.tar.xz
extra/libart-lgpl: new aport
A library for high-performance 2D graphics http://www.levien.com/libart/
Diffstat (limited to 'extra/libart-lgpl')
-rw-r--r--extra/libart-lgpl/APKBUILD19
1 files changed, 19 insertions, 0 deletions
diff --git a/extra/libart-lgpl/APKBUILD b/extra/libart-lgpl/APKBUILD
new file mode 100644
index 0000000000..3ac38769a0
--- /dev/null
+++ b/extra/libart-lgpl/APKBUILD
@@ -0,0 +1,19 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libart-lgpl
+pkgver=2.3.20
+pkgrel=0
+pkgdesc="A library for high-performance 2D graphics"
+url="http://www.levien.com/libart/"
+license="LGPL"
+depends="uclibc"
+subpackages="$pkgname-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-$pkgver.tar.bz2
+ "
+
+build() {
+ cd "$srcdir"/libart_lgpl-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d0ce67f2ebcef1e51a83136c69242a73 libart_lgpl-2.3.20.tar.bz2"